﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities
{
    /// <summary>
    /// define a mathematical chapter or thematic
    /// properties :
    ///     Id : identifier in the database
    ///     Name : name of the chapter
    /// </summary>
    [Table("Chapters")]
    public class ChapterEntity
    {
        [Key]
        public uint Id { get; set; }
        public string Name { get; set; } = null!;
    }
}
